petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEFGMRESSetShift

Set the shift parameter for the flexible, pipelined GMRES solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFGMRESSetShift(KSP ksp,PetscScalar shift)

A heuristic is to set this to be comparable to the largest eigenvalue of the preconditioned operator. This can be acheived with PETSc itself by using a few iterations of a Krylov method. See KSPComputeEigenvalues (and note the caveats there).

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| shift | - the shift

### Options Database

-ksp_pipefgmres_shift <shift> -

### See Also

KSPComputeEigenvalues()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/pipefgmres/pipefgmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages